import request from '@/utils/request'
//增加部件工序档案
export function addPartWorkProcess(data) {
  return request({
    url: '/product/addPartWorkProcess',
    method: 'post',
    params: data
  })
}

//获取部件工序档案列表
export function getPartWorkProcessList(data) {
  return request({
    url: '/product/getPartWorkProcessList',
    method: 'post',
    params: data
  })
}

//获取部件工序档案
export function getPartWorkProcessInfoById(data) {
  return request({
    url: '/product/getPartWorkProcessInfo',
    method: 'post',
    params: data
  })
}


//修改部件工序档案
export function updatePartWorkProcess(data) {
  return request({
    url: '/product/updatePartWorkProcess',
    method: 'post',
    params: data
  })
}

//获取产品工序档案
export function getWorkProcessList(data) {
  return request({
    url: '/product/getWorkProcessList',
    method: 'post',
    params: data
  })
}

//字典获取样式
export function getDictTypeInfo(data) {
  return request({
    url: '/system/selectDictDataList',
    method: 'post',
    params: data
  })
}
